SNAP
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-CLIENT-KEYstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_auth}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
grantTypestringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/access-token/b2b
POST /oauth/v1.0/access-token/b2b HTTP/1.1
Host: snapstag.finnet.co.id
X-TIMESTAMP: text
X-CLIENT-KEY: text
X-SIGNATURE: text
Content-Type: application/json
Accept: */*
Content-Length: 34
{
"grantType": "client_credentials"
}200Success
{}Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-CLIENT-KEYstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_auth}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
grantTypestringRequired
Responses
200Success
application/json
objectOptional
post/openapi/v1.0/access-token/b2b
POST /openapi/v1.0/access-token/b2b HTTP/1.1
Host: snapstag.finnet.co.id
X-TIMESTAMP: text
X-CLIENT-KEY: text
X-SIGNATURE: text
Content-Type: application/json
Accept: */*
Content-Length: 34
{
"grantType": "client_credentials"
}200Success
{}Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-CLIENT-KEYstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_auth}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
grantTypestringRequired
refreshTokenstringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/access-token/b2b2c
POST /oauth/v1.0/access-token/b2b2c HTTP/1.1
Host: snapstag.finnet.co.id
X-TIMESTAMP: text
X-CLIENT-KEY: text
X-SIGNATURE: text
Content-Type: application/json
Accept: */*
Content-Length: 64
{
"grantType": "refresh_token",
"refreshToken": "{{refresh_token}}"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}CHANNEL-IDstringRequiredExample:
00777AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
phoneNostringRequired
namestringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/registration-account-creation
POST /oauth/v1.0/registration-account-creation HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
CHANNEL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 96
{
"partnerReferenceNo": "78912343342363747888",
"phoneNo": "082142600541",
"name": "Testing Adi Snap"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
phoneNostringRequired
merchantIdstringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/registration-account-binding
POST /oauth/v1.0/registration-account-binding HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"phoneNo": "082233368187",
"merchantId": "ZORA484"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/registration-account-inquiry
POST /oauth/v1.0/registration-account-inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"additionalInfo": {
"phoneNo": "08113929190"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TimestampstringRequiredExample:
{{timestamp}}X-Partner-IdstringRequiredExample:
{{client_id}}X-SignaturestringRequiredExample:
{{signature_service}}X-External-IdstringRequiredExample:
{{external_id}}OriginstringOptionalExample:
https://apidevportal.aspi-indonesia.or.idRefererstringOptionalExample:
https://apidevportal.aspi-indonesia.or.id/AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
merchantIdstringRequired
referenceNostringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/registration-account-unbinding
POST /oauth/v1.0/registration-account-unbinding HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-Timestamp: text
X-Partner-Id: text
X-Signature: text
X-External-Id: text
Content-Type: application/json
Accept: */*
Content-Length: 119
{
"merchantId": "ZORA484",
"referenceNo": "8187082805095450900",
"additionalInfo": {
"phoneNo": "082233368187",
"otp": "696969"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
actionstringRequired
otpstringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/otp-verification
POST /oauth/v1.0/otp-verification HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 88
{
"originalPartnerReferenceNo": "789123434523423467",
"action": "otpLinkage",
"otp": "696969"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
actionstringRequired
otpstringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.1/otp-verification
POST /oauth/v1.1/otp-verification HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 88
{
"originalPartnerReferenceNo": "789123434523423470",
"action": "otpLinkage",
"otp": "696969"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
phoneNostringRequired
merchantIdstringRequired
merchantPassstringRequired
Responses
403Error
application/json
responseCodestringRequired
responseMessagestringRequired
widgetUrlstringRequired
expiryTimestringRequired
post/api/v1.0/upgrade-account-widget
POST /api/v1.0/upgrade-account-widget HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 125
{
"partnerReferenceNo": "78912343452347892",
"phoneNo": "6289684634440",
"merchantId": "AGREE170724",
"merchantPass": "Vis10ner2020"
}403Error
{
"responseCode": "4030006",
"responseMessage": "There is still a valid link, wait until",
"widgetUrl": "https://demos.finnet.co.id/mob-dev/widget/prem?uuid=ee5ba833-88fc-4ed4-823c-e58bce7ae1f7",
"expiryTime": "2026-02-13 16:15:14"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
customerNumberstringRequired
transactionDatestringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/emoney/account-inquiry
POST /v1.0/emoney/account-inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 163
{
"partnerReferenceNo": "20241707151103",
"customerNumber": "082233368187",
"amount": {
"value": "1000.00",
"currency": "IDR"
},
"transactionDate": "2024-07-17T13:56:12+07:00"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
customerNumberstringRequired
customerNamestringRequired
transactionDatestringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/emoney/topup
POST /v1.0/emoney/topup HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 235
{
"partnerReferenceNo": "20241707151103",
"customerNumber": "082233368187",
"customerName": "Im*****m",
"amount": {
"value": "1000.00",
"currency": "IDR"
},
"feeAmount": {
"value": "0.00",
"currency": "IDR"
},
"transactionDate": "2024-07-17T13:56:12+07:00"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
originalReferenceNostringRequired
serviceCodestringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/emoney/topup-status
POST /v1.0/emoney/topup-status HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 114
{
"originalPartnerReferenceNo": "9991234345234793",
"originalReferenceNo": "820221208133743219835",
"serviceCode": "39"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
trxDateInitstringRequired
channelCodeintegerRequired
inquiryRequestIdstringRequired
Responses
200Success
application/json
objectOptional
post/internal/v1.0/transfer-va/inquiry
POST /internal/v1.0/transfer-va/inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 260
{
"partnerServiceId": " 38337",
"customerNo": "000000000000000230",
"virtualAccountNo": " 38337000000000000000230",
"trxDateInit": "2022-10-28T14:56:11+07:00",
"channelCode": 6014,
"amount": {
"value": "10000.00",
"currency": "IDR"
},
"inquiryRequestId": "78912343452347892"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
virtualAccountNamestringRequired
paymentRequestIdstringRequired
channelCodeintegerRequired
trxDateTimestringRequired
flagAdvisestringRequired
Responses
200Success
application/json
objectOptional
post/internal/v1.0/transfer-va/payment
POST /internal/v1.0/transfer-va/payment HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 297
{
"partnerServiceId": " 38337",
"customerNo": "080012341234",
"virtualAccountNo": " 38337080012341234",
"virtualAccountName": "Ra**",
"paymentRequestId": "78912343452347891",
"channelCode": 6014,
"trxDateTime": "2022-10-28T14:56:11+07:00",
"paidAmount": {
"value": "10000.00",
"currency": "IDR"
},
"flagAdvise": "N"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
transfer-vaX-MERCHANT_IDstringRequiredExample:
MERCHANT_IDAcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
trxDateInitstringRequired
channelCodeintegerRequired
inquiryRequestIdstringRequired
Responses
200Success
application/json
objectOptional
post/VABCA/v1.0/transfer-va/inquiry
POST /VABCA/v1.0/transfer-va/inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
X-MERCHANT_ID: text
Content-Type: application/json
Accept: */*
Content-Length: 295
{
"partnerServiceId": " 18924",
"customerNo": "000000000000000230",
"virtualAccountNo": " 18924000000000000000230",
"trxDateInit": "2022-10-28T14:56:11+07:00",
"channelCode": 6014,
"amount": {
"value": "10000.00",
"currency": "IDR"
},
"inquiryRequestId": "78912343452347892",
"additionalInfo": {
"idApp": "BRIVA"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
transfer-vaX-MERCHANT_IDstringRequiredExample:
MERCHANT_IDAcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
virtualAccountNamestringRequired
paymentRequestIdstringRequired
channelCodeintegerRequired
trxDateTimestringRequired
flagAdvisestringRequired
Responses
200Success
application/json
objectOptional
post/VABCA/v1.0/transfer-va/payment
POST /VABCA/v1.0/transfer-va/payment HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
X-MERCHANT_ID: text
Content-Type: application/json
Accept: */*
Content-Length: 332
{
"partnerServiceId": " 18924",
"customerNo": "080012341234",
"virtualAccountNo": " 18924080012341234",
"virtualAccountName": "Ra**",
"paymentRequestId": "78912343452347891",
"channelCode": 6014,
"trxDateTime": "2022-10-28T14:56:11+07:00",
"paidAmount": {
"value": "10000.00",
"currency": "IDR"
},
"flagAdvise": "N",
"additionalInfo": {
"idApp": "BRIVA"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
CHANNEL-IDstringRequiredExample:
95231X-PARTNER-IDstringRequiredExample:
39988X-EXTERNAL-IDstringRequiredExample:
{{external_id_bca}}X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-SIGNATUREstringRequiredExample:
{{signature_service}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
Responses
200Success
application/json
objectOptional
post/openapi/v1.0/transfer-va/status
POST /openapi/v1.0/transfer-va/status HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
CHANNEL-ID: text
X-PARTNER-ID: text
X-EXTERNAL-ID: text
X-TIMESTAMP: text
X-SIGNATURE: text
Content-Type: application/json
Accept: */*
Content-Length: 113
{
"partnerServiceId": " 39988",
"customerNo": "000000000013062711",
"virtualAccountNo": " 39988000000000013062711"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
transfer-vaAcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
channelCodeintegerRequired
inquiryRequestIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
partnerServiceIdstringRequired
trxDateInitstringRequired
Responses
200Success
application/json
objectOptional
post/SIMULATOR/v1.0/transfer-va/inquiry
POST /SIMULATOR/v1.0/transfer-va/inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 246
{
"channelCode": 6014,
"inquiryRequestId": "789123434523479001",
"amount": {
"currency": "IDR",
"value": "8900.00"
},
"customerNo": "08118502521",
"virtualAccountNo": " 6000408118502521",
"partnerServiceId": " 60004",
"trxDateInit": "2023-05-17T11:48:27+00:00"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
transfer-vaAcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
virtualAccountNamestringRequired
paymentRequestIdstringRequired
channelCodeintegerRequired
trxDateTimestringRequired
flagAdvisestringRequired
Responses
200Success
application/json
objectOptional
post/SIMULATOR/v1.0/transfer-va/payment
POST /SIMULATOR/v1.0/transfer-va/payment HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 297
{
"partnerServiceId": " 60004",
"customerNo": "08118502521",
"virtualAccountNo": "6000408118502521",
"virtualAccountName": "isi info 3",
"paymentRequestId": "78912343452347996",
"channelCode": 6014,
"trxDateTime": "2022-10-28T14:56:11+07:00",
"paidAmount": {
"value": "8900.00",
"currency": "IDR"
},
"flagAdvise": "N"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
transfer-vaAcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
virtualAccountNostringRequired
partnerServiceIdstringRequired
customerNostringRequired
sourceBankCodenullRequired
trxDateInitstringRequired
languagenullRequired
channelCodenullRequired
passAppnullRequired
hashedSourceAccountNonullRequired
inquiryRequestIdstringRequired
Responses
200Success
application/json
objectOptional
post/VAMYR/v1.0/transfer-va/inquiry
POST /VAMYR/v1.0/transfer-va/inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 348
{
"virtualAccountNo": " 7897000000000021",
"partnerServiceId": " 78970",
"customerNo": "7897000000000021",
"sourceBankCode": null,
"amount": {
"value": null,
"currency": "IDR"
},
"trxDateInit": "0529084101",
"language": null,
"channelCode": null,
"passApp": null,
"hashedSourceAccountNo": null,
"inquiryRequestId": "001012",
"additionalInfo": {
"deliveryChannelType": "001"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
virtualAccountNamestringRequired
virtualAccountEmailstringRequired
virtualAccountPhonestringRequired
trxIdstringRequired
paymentRequestIdstringRequired
channelCodestringRequired
hashedSourceAccountNostringRequired
sourceBankCodestringRequired
paidBillsstringRequired
trxDateTimestringRequired
referenceNostringRequired
journalNumstringRequired
paymentTypestringRequired
flagAdvisestringRequired
subCompanystringRequired
additionalInfoobjectRequired
Responses
200Success
application/json
objectOptional
post/VAMYR/v1.0/transfer-va/payment
POST /VAMYR/v1.0/transfer-va/payment HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 636
{
"partnerServiceId": " 78996",
"customerNo": "00000000098",
"virtualAccountNo": " 7899600000000098",
"virtualAccountName": "isi info 1",
"virtualAccountEmail": "",
"virtualAccountPhone": "",
"trxId": "",
"paymentRequestId": "701914",
"channelCode": "",
"hashedSourceAccountNo": "",
"sourceBankCode": "",
"paidAmount": {
"value": "20000.00",
"currency": "IDR"
},
"cumulativePaymentAmount": {
"value": "20000.00",
"currency": "IDR"
},
"paidBills": "",
"totalAmount": {
"value": "20000.00",
"currency": "IDR"
},
"trxDateTime": "20201231T235959Z",
"referenceNo": "",
"journalNum": "",
"paymentType": "",
"flagAdvise": "",
"subCompany": "",
"billDetails": [],
"freeTexts": [],
"additionalInfo": {}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
transfer-vaAcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
trxDateInitstringRequired
channelCodeintegerRequired
inquiryRequestIdstringRequired
Responses
200Success
application/json
objectOptional
post/VABNC/v1.0/transfer-va/inquiry
POST /VABNC/v1.0/transfer-va/inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 255
{
"partnerServiceId": " 18924",
"customerNo": "00000000110",
"virtualAccountNo": " 1892400000000110",
"trxDateInit": "2023-05-11T14:56:11+07:00",
"channelCode": 6014,
"amount": {
"value": "10000.00",
"currency": "IDR"
},
"inquiryRequestId": "78912343452347893"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
transfer-vaAcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
trxDateInitstringRequired
channelCodestringRequired
languagestringRequired
hashedSourceAccountNostringRequired
sourceBankCodestringRequired
inquiryRequestIdstringRequired
Responses
200Success
application/json
objectOptional
post/VADANAMON/v1.0/transfer-va/inquiry
POST /VADANAMON/v1.0/transfer-va/inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 299
{
"partnerServiceId": " 8804",
"customerNo": "095100630971",
"virtualAccountNo": " 8804095100630971",
"trxDateInit": "20201231T235959Z",
"channelCode": "6011",
"language": "ID",
"hashedSourceAccountNo": "abcdefghijklmnopqrstuvwxyz123456",
"sourceBankCode": "008",
"inquiryRequestId": "abcdef-123456-abcdef"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
transfer-vaX-MERCHANT_IDstringRequiredExample:
123AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
virtualAccountNamestringRequired
virtualAccountEmailstringRequired
virtualAccountPhonestringRequired
paymentRequestIdstringRequired
channelCodestringRequired
hashedSourceAccountNostringRequired
sourceBankCodestringRequired
trxDateTimestringRequired
Responses
200Success
application/json
objectOptional
post/VADANAMON/v1.0/transfer-va/payment
POST /VADANAMON/v1.0/transfer-va/payment HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
X-MERCHANT_ID: text
Content-Type: application/json
Accept: */*
Content-Length: 436
{
"partnerServiceId": " 8804",
"customerNo": "095100630971",
"virtualAccountNo": " 8804095100630971",
"virtualAccountName": "aku",
"virtualAccountEmail": "jokul@email.com",
"virtualAccountPhone": "621828384858",
"paymentRequestId": "abcdef-123456-abcdef",
"channelCode": "6011",
"hashedSourceAccountNo": "abcdefghijklmnopqrstuvwxyz123456",
"sourceBankCode": "008",
"paidAmount": {
"value": "100.00",
"currency": "IDR"
},
"trxDateTime": "20201231T235959Z"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
transfer-vaAcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
trxDateInitstringRequired
channelCodeintegerRequired
languagestringRequired
inquiryRequestIdstringRequired
Responses
200Success
application/json
objectOptional
post/VABMRI/v1.0/transfer-va/inquiry
POST /VABMRI/v1.0/transfer-va/inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 276
{
"partnerServiceId": " 38337",
"customerNo": "000000000000000230",
"virtualAccountNo": " 38337000000000000000230",
"trxDateInit": "2022-10-28T14:56:11+07:00",
"channelCode": 6014,
"language": "ID",
"amount": {
"value": "10000.00",
"currency": "IDR"
},
"inquiryRequestId": "78912343452347892"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
virtualAccountNamestringRequired
paymentRequestIdstringRequired
channelCodeintegerRequired
hashedSourceAccountNostringRequired
trxDateTimestringRequired
referenceNostringRequired
paidBillsstringRequired
flagAdvisestringRequired
Responses
200Success
application/json
objectOptional
post/VABMRI/v1.0/transfer-va/payment
POST /VABMRI/v1.0/transfer-va/payment HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 408
{
"partnerServiceId": " 38337",
"customerNo": "080012341234",
"virtualAccountNo": " 38337080012341234",
"virtualAccountName": "Ra**",
"paymentRequestId": "78912343452347891",
"channelCode": 6014,
"hashedSourceAccountNo": "abcdefghijklmnopqrstuvwxyz123456",
"trxDateTime": "2022-10-28T14:56:11+07:00",
"referenceNo": "123456789012345",
"paidAmount": {
"value": "10000.00",
"currency": "IDR"
},
"paidBills": "95000",
"flagAdvise": "N"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
pinstringRequired
linkIdstringRequired
actionstringRequired
redirectToDeeplinkstringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/pin/verify
POST /oauth/v1.0/pin/verify HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 109
{
"pin": "Njk2OTY5",
"linkId": "{{link_id}}",
"action": "pinLinkage",
"redirectToDeeplink": "{{redirect_deep_link}}"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
pinstringRequired
actionstringRequired
redirectToDeeplinkstringRequired
Responses
200Success
application/json
objectOptional
post/oauth/v1.0/pin/set
POST /oauth/v1.0/pin/set HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 136
{
"originalPartnerReferenceNo": "{{partner_ref_no}}",
"pin": "Njk2OTY5",
"action": "pinLinkage",
"redirectToDeeplink": "{{redirect_deep_link}}"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
Responses
200Success
application/json
responseCodestringRequired
responseMessagestringRequired
partnerReferenceNostringRequired
appRedirectUrlstringRequired
post/v1.0/debit/payment-host-to-host
POST /v1.0/debit/payment-host-to-host HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 182
{
"partnerReferenceNo": "98912343452347896",
"amount": {
"value": "1000.00",
"currency": "IDR"
},
"additionalInfo": {
"transactionDesc": "Pulsa Rp. 1000 nomor Simpati",
"transactionType": "TRANS"
}
}200Success
{
"responseCode": "2005400",
"responseMessage": "Request has been processed successfully",
"partnerReferenceNo": "98912343452347882",
"appRedirectUrl": "https://snapdev.finpay.id/partner/payment/pin-verification?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiI5YmIxNmRjMi1lN2QwLTQ2NWQtODM3Mi0zNzM1OTMzMmI0MDUiLCJqdGkiOiI0YmQxZmViZjkwYjU4ZTJhYmQ1NmRlZWVmMDdmNDg1YmIxNWE1ZDMxNGU1NDU3MjYzYWJjZTEwY2YyMjk2YmZhZmEzMzIwM2U4Y2Y5ZWExNCIsImlhdCI6MTcyNjcxNTk4My4yODczNiwibmJmIjoxNzI2NzE1OTgzLjI4NzM2MiwiZXhwIjoxNzI4MDExOTgzLjI1ODk1LCJzdWIiOiI2MjgwMDEyMzQxMjM0Iiwic2NvcGVzIjpbInFyLXBheW1lbnQiLCJhY2NvdW50LXJlZ2lzdHJhdGlvbiIsImRpcmVjdC1kZWJpdCIsImJhbGFuY2UtaW5xdWlyeSIsImN1c3RvbWVyLXRvcC11cCIsInRyYW5zYWN0aW9uLWhpc3RvcnkiLCJ0cmFuc2Zlci12YSJdfQ.Rtgetz5gY3dDYGx7IGoQdx-HVmcsnLUiJKsGFf_bAuQFuAD6n8XRVQ1E6sQ7H-d4emTBjJCgleENDY3ISgabxUJ9L6bsybkcphpZXzRlwuXcJy-3lJ1OiXSOqJDzlzzqgTGXtsXT4t8QyNaxrVaoS8dVQa3lAGOksTutneSeDn1yYtgMWcaVyuCTJy7VhuhHrcb7bFtSCubEfC5VW486WePRiqfFOqAb5LnlCFkB6CKGmCbXi5A5KU-RdBlaDxg9gWXtutdoU3eJzqnuh2rxC3wWb55_0nt3Ik13meFwbSjBvNEYgXTUDksIKEJsfmsQEU4jA9webNlzOT_j3P8VzMqvoUVMIa8sPqqbOEhP7NAASU6B75GQK-xdbm2KnyDj5Ut10ZyRmHSJelQTHoLkj8YdavWKlpEt0wBQa4Pxr_UdcgK0KpGmJl-bC9G6MdwWbpPHkC9ARlFudMGZc99ABFGv-1QHNNN5H6dM3huJwzOq3cUKX_i_o53zRyiTDhfMUP9zXOH3kEoV57QErDEysMOHg81emnS6PMjWPI3iQPZKYBygmLLKWUBF_RjmotlafG9jO7YUam48gUSyfcf3TSMozvBnv0HNb1j30AApMKnGDPN2pbQ-5CnPCAgxujvSCNVgjlkJ4vh9iHPWGSHIQmXDltJZYV06Fb-4b4eVciQ"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
serviceCodestringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/debit/status
POST /v1.0/debit/status HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"originalPartnerReferenceNo": "98912343452347894",
"serviceCode": "55"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
originalReferenceNostringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/debit/cancel
POST /v1.0/debit/cancel HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 88
{
"originalPartnerReferenceNo": "98912343452347893",
"originalReferenceNo": "2402056955162"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
fromDateTimestringRequired
toDateTimestringRequired
pageSizeintegerRequired
pageNumberintegerRequired
Responses
200Success
application/json
objectOptional
post/v1.0/transaction-history-list
POST /v1.0/transaction-history-list HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 114
{
"fromDateTime": "2022-12-01T00:00:00+07:00",
"toDateTime": "2022-12-31T00:00:00+07:00",
"pageSize": 10,
"pageNumber": 1
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/transaction-history-detail
POST /v1.0/transaction-history-detail HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 107
{
"originalPartnerReferenceNo": "98912343452347893",
"additionalInfo": {
"originalReferenceNo": "2402056955162"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
qr-payment,47AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
merchantIdstringRequired
callbackUrlstringRequired
namestringRequired
Responses
200Success
application/json
objectOptional
post/qrismpm/v1/partners/9bb16dc2-e7d0-465d-8372-37359332b405
POST /qrismpm/v1/partners/9bb16dc2-e7d0-465d-8372-37359332b405 HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 144
{
"merchantId": "FM2103300001",
"callbackUrl": "https://demos.finnet.co.id/apiqrismerchant/qr/callback-qris-static/index.php",
"name": "FM2103300001"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
qr-payment,47AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
merchantIdstringRequired
subMerchantIdstringRequired
nmIdstringRequired
Responses
200Success
application/json
objectOptional
post/qrismpm/v1/submerchant/9bb16dc2-e7d0-465d-8372-37359332b405
POST /qrismpm/v1/submerchant/9bb16dc2-e7d0-465d-8372-37359332b405 HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 80
{
"merchantId": "FM2103300003",
"subMerchantId": "FM2103300002",
"nmId": "1234xxxx02"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signatureinternal}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
qr-payment,47AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
nnsIdstringRequired
nnsNamestringRequired
Responses
200Success
application/json
objectOptional
post/qrismpm/v1/nns
POST /qrismpm/v1/nns HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"nnsId": "FM2103300001",
"nnsName": "FM2103300001"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
qr-payment,47AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
emailstringRequired
passwordstringRequired
Responses
200Success
application/json
objectOptional
post/auth/v1/users/login
POST /auth/v1/users/login HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 54
{
"email": "superadmin@gmail.com",
"password": "password"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringOptionalExample:
qr-payment,47X-CLIENT-KEYstringRequiredExample:
{{client_secret}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
merchantIdstringRequired
subMerchantIdstringRequired
terminalIdstringRequired
validityPeriodstringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/qr/qr-mpm-generate
POST /v1.0/qr/qr-mpm-generate HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-CLIENT-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 339
{
"partnerReferenceNo": "202407180710",
"amount": {
"value": "107.00",
"currency": "IDR"
},
"feeAmount": {
"value": "0.00",
"currency": "IDR"
},
"merchantId": "KAI001",
"subMerchantId": "",
"terminalId": "213141251124",
"validityPeriod": "2024-07-16T14:10:00-07:00",
"additionalInfo": {
"tips_indikator": "00",
"tips_fixamount": "0",
"note": "Bayar test",
"qr_type": "12"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringOptionalExample:
qr-payment,47X-CLIENT-KEYstringRequiredExample:
{{client_secret}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
originalReferenceNostringRequired
partnerRefundNostringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/qr/qr-mpm-refund
POST /v1.0/qr/qr-mpm-refund HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-CLIENT-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 142
{
"originalPartnerReferenceNo": "202407180710",
"originalReferenceNo": "",
"partnerRefundNo": "",
"refundAmount": {
"value": "107.00",
"currency": "IDR"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringOptionalExample:
qr-payment,47X-CLIENT-KEYstringRequiredExample:
{{client_secret}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
originalReferenceNostringRequired
serviceCodestringRequired
merchantIdstringRequired
subMerchantIdstringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/qr/qr-mpm-query
POST /v1.0/qr/qr-mpm-query HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-CLIENT-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 195
{
"originalPartnerReferenceNo": "202407161126",
"originalReferenceNo": "202407161126",
"serviceCode": "47",
"amount": {
"value": "11000.00",
"currency": "IDR"
},
"merchantId": "KAI001",
"subMerchantId": "KAI001"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
qr-payment,47AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
qrContentstringRequired
merchantIdstringRequired
subMerchantIdstringRequired
scanTimestringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/qr/qr-mpm-decode
POST /v1.0/qr/qr-mpm-decode HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 436
{
"qrContent": "00020101021226620013ID.FINPAY.WWW01189360077732103300010212FM21033000010303UKE51360014ID.CO.QRIS.WWW0207TFQA0010303UKE5204754253033605405100005502025602105802ID5914juragan_empang6013JAKARTA TIMUR61051373062070703A016304BF5A",
"amount": {
"value": "0.00",
"currency": "IDR"
},
"merchantId": "FM2103300001",
"subMerchantId": "",
"scanTime": "2020-12-23T08:27:11+07:00",
"additionalInfo": {
"deviceId": "12345679237",
"channel": "mobilephone"
}
}200Success
{}Header parameters
AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
merchant_idstringRequired
pay_datestringRequired
amountintegerRequired
sof_idstringRequired
ref_nostringRequired
invoicestringRequired
result_codestringRequired
result_descstringRequired
cust_namestringRequired
merchantNamestringRequired
feeAmountstringRequired
rrnstringRequired
nns_issuerstringRequired
nns_acquirerstringRequired
mpanstringRequired
cpanstringRequired
nmidstringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/qr/qr-mpm-notify
POST /v1.0/qr/qr-mpm-notify HTTP/1.1
Host: snapstag.finnet.co.id
Content-Type: application/json
Accept: */*
Content-Length: 462
{
"merchant_id": "FM2103300001",
"pay_date": "2024-03-25 17:04:40",
"amount": 1000,
"sof_id": "qrdinamis",
"ref_no": "Gm9XBAtIqdWvyHxoLZC57jNYTSbzRwOa",
"invoice": "INV0120240402083400009",
"result_code": "00",
"result_desc": "Success",
"cust_name": "REFUND_ACQ_01",
"merchantName": "juragan_empang",
"feeAmount": "",
"rrn": "RNTW-192403-194404730315-20240325",
"nns_issuer": "93601077",
"nns_acquirer": "93600777",
"mpan": "9360077732103300013",
"cpan": "9360107712345678917",
"nmid": "TFQA001"
}200Success
{}Header parameters
AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
merchant_idstringRequired
pay_datestringRequired
amountintegerRequired
sof_idstringRequired
ref_nostringRequired
invoicestringRequired
result_codestringRequired
result_descstringRequired
cust_namestringRequired
merchantNamestringRequired
feeAmountstringRequired
rrnstringRequired
nns_issuerstringRequired
nns_acquirerstringRequired
mpanstringRequired
cpanstringRequired
nmidstringRequired
Responses
200Success
application/json
objectOptional
post/snapqrismpm/qr/callback-qris-payment/v1.0/qr/qr-mpm-notify
POST /snapqrismpm/qr/callback-qris-payment/v1.0/qr/qr-mpm-notify HTTP/1.1
Host: snapstag.finnet.co.id
Content-Type: application/json
Accept: */*
Content-Length: 462
{
"merchant_id": "FM2103300001",
"pay_date": "2024-03-25 17:04:40",
"amount": 1000,
"sof_id": "qrdinamis",
"ref_no": "dceUXmDYh0qsRG4FwgyIMxzS6ZluEvka",
"invoice": "INV0120240402083400009",
"result_code": "00",
"result_desc": "Success",
"cust_name": "REFUND_ACQ_01",
"merchantName": "juragan_empang",
"feeAmount": "",
"rrn": "RNTW-192403-194404730315-20240325",
"nns_issuer": "93601077",
"nns_acquirer": "93600777",
"mpan": "9360077732103300013",
"cpan": "9360107712345678917",
"nmid": "TFQA001"
}200Success
{}Header parameters
AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
merchant_idstringRequired
pay_datestringRequired
amountintegerRequired
sof_idstringRequired
ref_nostringRequired
invoicestringRequired
result_codestringRequired
result_descstringRequired
cust_namestringRequired
merchantNamestringRequired
feeAmountstringRequired
rrnstringRequired
nns_issuerstringRequired
nns_acquirerstringRequired
mpanstringRequired
cpanstringRequired
nmidstringRequired
Responses
200Success
application/json
objectOptional
get/snapqrismpm/qr/callback-qris-payment/v1.0/qr/qris/INV0120240402083400009
GET /snapqrismpm/qr/callback-qris-payment/v1.0/qr/qris/INV0120240402083400009 HTTP/1.1
Host: snapstag.finnet.co.id
Content-Type: application/json
Accept: */*
Content-Length: 462
{
"merchant_id": "FM2103300001",
"pay_date": "2024-03-25 17:04:40",
"amount": 1000,
"sof_id": "qrdinamis",
"ref_no": "95oau6MyVNSHqw8WhgbnR0IjifAPQUxt",
"invoice": "INV0120240402083400009",
"result_code": "00",
"result_desc": "Success",
"cust_name": "REFUND_ACQ_01",
"merchantName": "juragan_empang",
"feeAmount": "",
"rrn": "RNTW-192403-194404730315-20240325",
"nns_issuer": "93601077",
"nns_acquirer": "93600777",
"mpan": "9360077732103300013",
"cpan": "9360107712345678917",
"nmid": "TFQA001"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
namestringRequired
merchantIdstringRequired
redirectstringRequired
featureScopeIdsinteger[]Required
publicKeystringRequired
Responses
200Success
application/json
objectOptional
post/auth/v1/partners
POST /auth/v1/partners HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1219
{
"name": "QR_Imam_Snap",
"merchantId": "FM2007160001",
"redirect": "https://snapstag.finnet.co.id/health",
"featureScopeIds": [
5,
3,
1,
4,
2,
6,
12
],
"publicKey": "LS0tLS1CRUdJTiBQVUJMSUMgS0VZLS0tLS0KTUlJQ0lqQU5CZ2txaGtpRzl3MEJBUUVGQUFPQ0FnOEFNSUlDQ2dLQ0FnRUFvSXVISm9RTmhRZ0tMczlSaUpnbgp0d0lvQTRCZG1kaDlpMkowZFdBSG9XUHpMeWNaL0h3RDRqTy9mQ0xFbTkwMklwdWF6aTE3a1dTZjFrZDQwL0dKCjZDUEtieTJCR21hUmNxNDh2eHJWUkhURlhoR0xFVlZPZS9zZDcyNDh1eXBqMFozOUpHcnB6YUhVaFBpRXRackcKSFl2M1FLMFVzQU5aKzFPOUpkYjZiY3daMFJKSHRyenhQUXl1dDdXam5XWmx6NnlRUktpLzUxc1p6RnF5ZlV4NQpnbDVRbG5LWE5ZeGtwdktSWVpVRTl5bksxSkgwWElNdTRHaU80Vk9EeUp0OVJWMjg1TmdqUG9vdEg5aVdjWkFhCklkN0VJczMrZ1ptMXdaQmJZa3BBaUxXWVkrNnFCOVllRUd0SEpINVRHQ1lDd1c5cmJRR04ydUN3QXYwYytaSmoKck1jMkx4WS9Ic0dXTlRaay9kRGJVaFFYaUIwTlJmM1l6YzFBUE1oa3l4TTkxNlRidGwvWHZiTVdFcklDRnJMVQpTSnNXUUpxOHJzcmxWTmtkak5yMHU1REF4RE1rVWdrQXVsOWZIeHRLemlQLzE2OVg1cW42UTZLajVwNC8zQVRBCjFiVmdVdzlJMkd4UWI1Ukd3S1RGVXZ0Y3FpbGkzcE5RS2d4T0RJQzIxU29YM3U1Sm56eEFjSmVOQ0xLQjZpTkYKM01qdEZudUh3REQ2RGxiZzVmS0s1b0RPbjJUSUllTUJrRXd2VmhuMlFIcEc5b010ZW1KdmtYd3J1cmlGaGV6ZwppTWVjNkh0UWVjRUJJSWxKc2lzYk9tZEdlUnBPY3pYcTNYOW9LSmhSMzhiR2xKbC9ETUg0NlFWS2hERnM3Q3Y3CjhnaGdnOEM2TWx4QlFvZFFvZzlhci9zQ0F3RUFBUT09Ci0tLS0tRU5EIFBVQkxJQyBLRVktLS0tLQ=="
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
customerNumberstringRequired
beneficiaryAccountNumberstringRequired
accountTypestringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/emoney/bank-account-inquiry
POST /v1.0/emoney/bank-account-inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 425
{
"partnerReferenceNo": "2020102900000000000003",
"customerNumber": "6281294263682",
"amount": {
"value": "22500",
"currency": "IDR"
},
"beneficiaryAccountNumber": "500654309",
"accountType": "12",
"additionalInfo": {
"senderAccName": "Ali Adi Prasetyo",
"senderID": "317308123123123001",
"destAccCode": "91014",
"destAccType": "00",
"destAccNoType": "0",
"senderPurpose": "1",
"description": "remit tes aja",
"postEntryMode": "001",
"posConditionMode": "55"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
Content-typestringRequiredExample:
application/jsonAuthorization-CustomerstringOptionalExample:
Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXJ0bmVySWQiOiI5NzE5Mzk0ZC1hZjkxLTRmOWMtOWQxNi02YjYyMzNhNDU4ODkiLCJyZWZObyI6IjgwMDcyMDk4MTQ5MTQ1MzM0OSIsInBhcnRuZXJSZWZObyI6IjIwMjAxMDI5MDAwMDAwMDAwMDAwMzEiLCJpYXQiOjE3NTYyMDQwMjEsImV4cCI6MTc1NjI5MDQyMX0.wgf2V2A9HQugc80AHk1CrhPmmZrWqQW1HBqQYt1vYAUX-TIMESTAMPstringRequiredExample:
{{timestamp}}X-SIGNATUREstringRequiredExample:
{{signature_service}}ORIGINstringOptionalExample:
www.hostname.comX-PARTNER-IDstringRequiredExample:
{{client_id}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-IP-ADDRESSstringOptionalExample:
172.24.281.24X-DEVICE-IDstringOptionalExample:
09864ADCASAX-LATITUDEstringOptionalExample:
-6.1617169X-LONGITUDEstringOptionalExample:
106.6643946CHANNEL-IDstringOptionalExample:
95221AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
beneficiaryAccountNostringRequired
Responses
200Success
application/json
responseCodestringRequired
responseMessagestringRequired
referenceNostringRequired
partnerReferenceNostringRequired
beneficiaryAccountNostringRequired
beneficiaryAccountNamestringRequired
currencystringRequired
post/v1.0/account-inquiry-internal
POST /v1.0/account-inquiry-internal HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-SIGNATURE: text
X-PARTNER-ID: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 86
{
"partnerReferenceNo": "2020102900000000000031",
"beneficiaryAccountNo": "6281288126416"
}200Success
{
"responseCode": "2001500",
"responseMessage": "Request has been processed successfully",
"referenceNo": "804179090838916991",
"partnerReferenceNo": "2020102900000000000031",
"beneficiaryAccountNo": "6281288126416",
"beneficiaryAccountName": "ALIADI PRASETYO",
"currency": "IDR",
"additionalInfo": {
"redirectUrl": "https://fm.f1n.me/prem?uuid=08b0b994-bda5-4fc4-a866-36dd5f9ed5bb&sessionToken=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXJ0bmVyX2lkIjoiOTcxOTM5NGQtYWY5MS00ZjljLTlkMTYtNmI2MjMzYTQ1ODg5IiwicmVmX25vIjoiODA0MTc5MDkwNzcxODA2NDYxIiwicGFydG5lcl9yZWZfbm8iOiIyMDIwMTAyOTAwMDAwMDAwMDAwMDMxIiwiaWF0IjoxNzU2OTU3NzI0LCJleHAiOjE3NTk1ODU3MjR9.pPLZgFaLqzzbFF8YsBfI5gdIlosD8sLLChhA-WyMU6I"
}
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
Content-typestringRequiredExample:
application/jsonAuthorization-CustomerstringOptionalExample:
Bearer fa8sjjEj813Y9JGoqwOeOPWbnt4CUpvIJbU1mMU4a11MNDZ7Sg5u9a"X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-SIGNATUREstringRequiredExample:
{{signature_service}}ORIGINstringOptionalExample:
www.hostname.comX-PARTNER-IDstringRequiredExample:
{{client_id}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-IP-ADDRESSstringOptionalExample:
172.24.281.24X-DEVICE-IDstringOptionalExample:
09864ADCASAX-LATITUDEstringOptionalExample:
-6.1617169X-LONGITUDEstringOptionalExample:
106.6643946CHANNEL-IDstringOptionalExample:
95221AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
beneficiaryAccountNostringRequired
currencystringRequired
customerReferencestringRequired
remarkstringRequired
sourceAccountNostringRequired
transactionDatestringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/transfer-intrabank
POST /v1.0/transfer-intrabank HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-SIGNATURE: text
X-PARTNER-ID: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 335
{
"partnerReferenceNo": "2020102900000000000021",
"amount": {
"value": "10.00",
"currency": "IDR"
},
"beneficiaryAccountNo": "6281288126416",
"currency": "IDR",
"customerReference": "10052019",
"remark": "remark test",
"sourceAccountNo": "6282233368187",
"transactionDate": "2019-07-03T12:08:56+07:00",
"additionalInfo": {
"verificationId": "310928924949487"
}
}200Success
{}Header parameters
AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
namestringRequired
emailstringRequired
passwordstringRequired
Responses
200Success
application/json
objectOptional
post/auth/v1/users/register
POST /auth/v1/users/register HTTP/1.1
Host: snapstag.finnet.co.id
Content-Type: application/json
Accept: */*
Content-Length: 72
{
"name": "Imam.Mhm",
"email": "imam.mhm21@gmail.com",
"password": "passw0rd"
}200Success
{}Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-CLIENT-KEYstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_auth}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
grantTypestringRequired
Responses
200Success
application/json
objectOptional
post/pg/snap/oauth/v1.0/access-token/b2b
POST /pg/snap/oauth/v1.0/access-token/b2b HTTP/1.1
Host: snapstag.finnet.co.id
X-TIMESTAMP: text
X-CLIENT-KEY: text
X-SIGNATURE: text
Content-Type: application/json
Accept: */*
Content-Length: 34
{
"grantType": "client_credentials"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringOptionalExample:
qr-payment,47X-CLIENT-KEYstringRequiredExample:
{{client_secret}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
originalReferenceNostringRequired
serviceCodestringRequired
merchantIdstringRequired
subMerchantIdstringRequired
Responses
200Success
application/json
objectOptional
post/pg/payment/card/initiate
POST /pg/payment/card/initiate HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-CLIENT-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 195
{
"originalPartnerReferenceNo": "202407161126",
"originalReferenceNo": "202407161126",
"serviceCode": "47",
"amount": {
"value": "11000.00",
"currency": "IDR"
},
"merchantId": "KAI001",
"subMerchantId": "KAI001"
}200Success
{}Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringOptionalExample:
qr-payment,47X-CLIENT-KEYstringRequiredExample:
{{client_secret}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
merchantIdstringRequired
subMerchantIdstringRequired
terminalIdstringRequired
validityPeriodstringRequired
Responses
200Success
application/json
objectOptional
post/pg/payment/card/v1.0/qr/qr-mpm-generate
POST /pg/payment/card/v1.0/qr/qr-mpm-generate HTTP/1.1
Host: snapstag.finnet.co.id
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-CLIENT-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 339
{
"partnerReferenceNo": "202407180713",
"amount": {
"value": "113.00",
"currency": "IDR"
},
"feeAmount": {
"value": "0.00",
"currency": "IDR"
},
"merchantId": "KAI001",
"subMerchantId": "",
"terminalId": "213141251124",
"validityPeriod": "2024-07-16T14:10:00-07:00",
"additionalInfo": {
"tips_indikator": "00",
"tips_fixamount": "0",
"note": "Bayar test",
"qr_type": "12"
}
}200Success
{}Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringOptionalExample:
qr-payment,47X-CLIENT-KEYstringRequiredExample:
{{client_secret}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
originalReferenceNostringRequired
serviceCodestringRequired
merchantIdstringRequired
subMerchantIdstringRequired
Responses
200Success
application/json
objectOptional
post/pg/payment/card/v1.0/qr/qr-mpm-query
POST /pg/payment/card/v1.0/qr/qr-mpm-query HTTP/1.1
Host: snapstag.finnet.co.id
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-CLIENT-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 195
{
"originalPartnerReferenceNo": "202407180712",
"originalReferenceNo": "202407180712",
"serviceCode": "47",
"amount": {
"value": "11000.00",
"currency": "IDR"
},
"merchantId": "KAI001",
"subMerchantId": "KAI001"
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringOptionalExample:
qr-payment,47X-CLIENT-KEYstringRequiredExample:
{{client_secret}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerServiceIdstringRequired
customerNostringRequired
virtualAccountNostringRequired
virtualAccountNamestringRequired
virtualAccountEmailstringRequired
virtualAccountPhonestringRequired
trxIdstringRequired
Responses
200Success
application/json
objectOptional
post/pg/payment/card/v1.0/transfer-va/create-va
POST /pg/payment/card/v1.0/transfer-va/create-va HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-CLIENT-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 251
{
"partnerServiceId": " 088899",
"customerNo": "12345678901234567890",
"virtualAccountNo": " 08889912345678901234567890",
"virtualAccountName": "Jokul Doe",
"virtualAccountEmail": "jokul@email.com",
"virtualAccountPhone": "6281828384858",
"trxId": "abcdefgh1236"
}200Success
{}Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringOptionalExample:
qr-payment,47X-CLIENT-KEYstringRequiredExample:
{{client_secret}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
originalPartnerReferenceNostringRequired
originalReferenceNostringRequired
partnerRefundNostringRequired
Responses
200Success
application/json
objectOptional
post/pg/payment/card/v1.0/qr/qr-mpm-refund
POST /pg/payment/card/v1.0/qr/qr-mpm-refund HTTP/1.1
Host: snapstag.finnet.co.id
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-CLIENT-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 166
{
"originalPartnerReferenceNo": "202407180713",
"originalReferenceNo": "202407180713",
"partnerRefundNo": "202407180713",
"refundAmount": {
"value": "113.00",
"currency": "IDR"
}
}200Success
{}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringRequiredExample:
qr-payment,47AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
merchantIdstringRequired
subMerchantIdstringRequired
terminalIdstringRequired
validityPeriodstringRequired
Responses
200Success
application/json
objectOptional
get/health
GET /health HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-Scopes: text
Content-Type: application/json
Accept: */*
Content-Length: 321
{
"amount": {
"value": "101.00",
"currency": "IDR"
},
"feeAmount": {
"value": "0.00",
"currency": "IDR"
},
"merchantId": "FM2103300001",
"subMerchantId": "FM2103300001",
"terminalId": "213141251124",
"validityPeriod": "2024-06-19T14:00:00-07:00",
"additionalInfo": {
"tips_indikator": "00",
"tips_fixamount": "0",
"note": "Bayar test",
"qr_type": "12"
}
}200Success
{}Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}X-ScopesstringOptionalExample:
qr-payment,47X-CLIENT-KEYstringRequiredExample:
{{client_secret}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
partnerReferenceNostringRequired
validUpTostringRequired
Responses
200Success
application/json
responseCodestringRequired
responseMessagestringRequired
partnerReferenceNostringRequired
webRedirectUrlstringRequired
post/pg/payment/card/v1.0/debit/payment-host-to-host
POST /pg/payment/card/v1.0/debit/payment-host-to-host HTTP/1.1
Host: snapstag.finnet.co.id
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
X-CLIENT-KEY: text
Content-Type: application/json
Accept: */*
Content-Length: 467
{
"partnerReferenceNo": "202407180715",
"validUpTo": "2025-10-05T23:59:59+07:00",
"amount": {
"value": "100000.00",
"currency": "IDR"
},
"additionalInfo": {
"email": "adi.nugroho@finnet.co.id",
"firstName": "Adi",
"lastName": "Nugroho",
"mobilePhone": "6281234567890",
"orderDescription": "Pembelian kursi minimalis",
"callbackUrl": "https://sandbox.finpay.co.id/simdev/finpay/result/resultsuccess.php",
"items": [
{
"name": "Kursi Minimalis",
"price": "50000.00",
"currency": "IDR",
"quantity": "1"
}
]
}
}200Success
{
"responseCode": "2005400",
"responseMessage": "Request has been processed successfully",
"partnerReferenceNo": "202407180719",
"webRedirectUrl": "https://devo.finpay.id/pg/payment/card/v2/access/ea08dbe8363c6baa68c18b33b45ccfccc65c6a2956374533bc61eef7a112f277"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-TIMESTAMPstringRequiredExample:
{{timestamp}}X-PARTNER-IDstringRequiredExample:
{{client_id}}X-SIGNATUREstringRequiredExample:
{{signature_service}}X-EXTERNAL-IDstringRequiredExample:
{{external_id}}AcceptstringOptionalExample:
application/jsonContent-TypestringOptionalExample:
application/jsonBody
accountNostringRequired
Responses
200Success
application/json
objectOptional
post/v1.0/balance-inquiry
POST /v1.0/balance-inquiry HTTP/1.1
Host: snapstag.finnet.co.id
Authorization: Bearer YOUR_SECRET_TOKEN
X-TIMESTAMP: text
X-PARTNER-ID: text
X-SIGNATURE: text
X-EXTERNAL-ID: text
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"accountNo": "080012341371"
}200Success
{}Last updated

